# textprop.c File Reference

## Functions

void * | mtext_get_prop (MText *mt, int pos, MSymbol key)
| Get the value of the topmost text property.
int | mtext_get_prop_values (MText *mt, int pos, MSymbol key, void **values, int num)
| Get multiple values of a text property.
int | mtext_get_prop_keys (MText *mt, int pos, MSymbol **keys)
| Get a list of text property keys at a position of an M-text.
int | mtext_put_prop (MText *mt, int from, int to, MSymbol key, void *val)
| Set a text property.
int | mtext_put_prop_values (MText *mt, int from, int to, MSymbol key, void **values, int num)
| Set multiple text properties with the same key.
int | mtext_push_prop (MText *mt, int from, int to, MSymbol key, void *val)
| Push a text property.
int | mtext_pop_prop (MText *mt, int from, int to, MSymbol key)
| Pop a text property.
int | mtext_prop_range (MText *mt, MSymbol key, int pos, int *from, int *to, int deeper)
| Find the range where the value of a text property is the same.
MTextProperty * | mtext_property (MSymbol key, void *val, int control_bits)
| Create a text property.
MText * | mtext_property_mtext (MTextProperty *prop)
| Return the M-text of a text property.
MSymbol | mtext_property_key (MTextProperty *prop)
| Return the key of a text property.
void * | mtext_property_value (MTextProperty *prop)
| Return the value of a text property.
int | mtext_property_start (MTextProperty *prop)
| Return the start position of a text property.
int | mtext_property_end (MTextProperty *prop)
| Return the end position of a text property.
MTextProperty * | mtext_get_property (MText *mt, int pos, MSymbol key)
| Get the topmost text property.
int | mtext_get_properties (MText *mt, int pos, MSymbol key, MTextProperty **props, int num)
| Get multiple text properties.
int | mtext_attach_property (MText *mt, int from, int to, MTextProperty *prop)
| Attach a text property to an M-text.
int | mtext_detach_property (MTextProperty *prop)
| Detach a text property from an M-text.
int | mtext_push_property (MText *mt, int from, int to, MTextProperty *prop)
| Push a text property onto an M-text.
MText * | mtext_serialize (MText *mt, int from, int to, MPlist *property_list)
| Serialize text properties in an M-text.
MText * | mtext_deserialize (MText *mt)
| Deserialize text properties in an M-text.

## Variables

MSymbol | Mtext_prop_serializer
| Symbol for specifying serializer functions.
MSymbol | Mtext_prop_deserializer
| Symbol for specifying deserializer functions.